### Hierarchy

- default

## Index

### Constructors

- constructor

### Properties

- module

### Methods

- cancel
- getOfflineService_
- restore
- save
- setRestoreService
- setSaveService

## Constructors

### constructor

- new default($injector: IInjectorService): default

- - Defined in src/offline/ServiceManager.js:32
  struct
  nginject
  ngdoc

    service

  ngname

    ngeoOfflineServiceManager

  #### Parameters

  - ##### $injector: IInjectorService

    Main injector.

  #### Returns default

## Properties

### Static module

module: IModule

## Methods

### cancel

- cancel(): void

- - Defined in src/offline/ServiceManager.js:98

  #### Returns void

### getOfflineService_

- getOfflineService_(serviceLike: unknown, method: string): unknown

- - Defined in src/offline/ServiceManager.js:57

  #### Parameters

  - ##### serviceLike: unknown

    A service like.

  - ##### method: string

    A method.

  #### Returns unknown

  A returned object.

### restore

- restore(map: Map): Promise<Extent>

- - Defined in src/offline/ServiceManager.js:126

  Ask the provided service to restore the saved data on the map

  #### Parameters

  - ##### map: Map

    The map to work on.

  #### Returns Promise<Extent>

  A promise to the extent of the downloaded area

### save

- save(extent: Extent, map: Map): void

- - Defined in src/offline/ServiceManager.js:112

  Ask the provided service to save the data to an offline purpose

  #### Parameters

  - ##### extent: Extent

    The extent to download.

  - ##### map: Map

    The map to work on.

  #### Returns void

### setRestoreService

- setRestoreService(restoreLikeService: string | { restore: Function }): void

- - Defined in src/offline/ServiceManager.js:94

  Set the service to call on 'restore'

  #### Parameters

  - ##### restoreLikeService: string | { restore: Function }

    A service name that can be injected or an object that have a 'restore' method.

  #### Returns void

### setSaveService

- setSaveService(saveLikeService: string | { save: Function }): void

- - Defined in src/offline/ServiceManager.js:84

  Set the service to call on 'save'.

  #### Parameters

  - ##### saveLikeService: string | { save: Function }

    A service name that can be injected or an object that have a 'save' method.

  #### Returns void

Generated using TypeDoc